package com.xy.entity;

import com.xy.base.BaseEntity2;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 字典表
 * </p>
 *
 * @author 谭斌
 * @since 2022-12-16
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "SysDict对象", description = "字典表")
public class SysDict extends BaseEntity2<SysDict> implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("标识")
    private String dictKey;

    @ApiModelProperty("描述")
    private String description;
 
    @ApiModelProperty("是否是系统内置")
    private Boolean systemFlag;

    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty("创建人")
    private Long createUser;

    @ApiModelProperty("更新人")
    private Long updateUser;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateTime;


}
