package com.xy.entity;

import com.xy.base.BaseEntity2;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 字典项
 * </p>
 *
 * @author 谭斌
 * @since 2022-12-16
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "SysDictItem对象", description = "字典项")
public class SysDictItem extends BaseEntity2<SysDictItem> implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("字典ID")
    private Long dictId;

    @ApiModelProperty("字典标识")
    private String dictKey;

    @ApiModelProperty("值")
    private String value;

    @ApiModelProperty("标签")
    private String label;

    @ApiModelProperty("描述")
    private String description;

    @ApiModelProperty("排序（升序）")
    private Integer sortOrder;

    @ApiModelProperty("是否启用 true启用，false")
    private Boolean enable;


    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty("创建人")
    private Long createUser;

    @ApiModelProperty("修改人")
    private Long updateUser;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateTime;


}
