package com.xy.dto.SysWorkUser;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;

@Data
@ApiModel("登录")
@Accessors(chain = true)
public class LoginDto {

    @ApiModelProperty("账号,邮箱,手机")
    @NotBlank(message = "lognName不能为空")
    private String loginName;

    @ApiModelProperty("密码")
    @Pattern(regexp = "^[a-zA-z0-9]{6,11}$", message = "password必须为数字或字母，长度6-11位之间")
    private String password;

    @ApiModelProperty("短信验证码")
    private String code;

}
