package com.xy.dto.SysWorkUser;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@ApiModel("业务用户更新请求")
@Accessors(chain = true)
public class UpdateDto {

    @ApiModelProperty(value = "业务用户ID", required = true)
    @NotNull(message = "未选中用户")
    private Long id;

    @ApiModelProperty(value = "系统ID", required = true)
    @NotNull(message = "sysId不能为空")
    private Long sysId;

    @ApiModelProperty(value = "邮箱", required = false)
    private String email;


    @ApiModelProperty(value = "手机", required = false)
    private String phone;


    @ApiModelProperty(value = "密码", required = false)
    private String password;


    @ApiModelProperty(value = "状态", required = false)
    private Boolean status;

    @ApiModelProperty(value = "角色ID（数组）", required = true)
    private List<Long> roleIds;

    @ApiModelProperty(value = "部门ID（数组）", required = false)
    private List<Long> deptIds;


}
