package com.xy.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 * <p>
 * 字典项
 * </p>
 *
 * @author 谭斌
 * @since 2022-12-16
 */
@Data
@Accessors(chain = true)
@ApiModel("字典项")
public class SysDictItemVo {

    @ApiModelProperty("ID")
    private Long id;
 

    @ApiModelProperty("字典标识")
    private String dictKey;

    @ApiModelProperty("值")
    private String value;

    @ApiModelProperty("标签")
    private String label;

    @ApiModelProperty("字典类型")
    private String type;

    @ApiModelProperty("描述")
    private String description;

    @ApiModelProperty("排序（升序）")
    private Integer sortOrder;

    @ApiModelProperty("是否启用 true启用，false")
    private Boolean enable;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty("创建人")
    private Long createUser;

    @ApiModelProperty("修改人")
    private Long updateUser;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("更新时间")
    private LocalDateTime updateTime;


}
